### Method

# Gtk.WidgetPaintable.set_widget

#### Declaration [src]

    void
    gtk_widget_paintable_set_widget (
      GtkWidgetPaintable* self,
      GtkWidget* widget
    )

#### Description [src]

Sets the widget that should be observed.

Sets property | `Gtk.WidgetPaintable:widget`

#### Parameters

`widget` | `GtkWidget`
| the widget to observe or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee